﻿using Com.Opticon.Scannersdk.Scanner;

namespace ScannerMauiTest
{
    public interface IScannerService
    {
        event EventHandler<BarcodeEventArgs> BarcodeEvent;
        event EventHandler<ImageDataEventArgs> ImageDataEvent;
        bool IsScanning { get; }
        void StartScan();
        void StopScan();
        void ToggleSettings();
        void TakePicture();
        void Init();
        void Deinit();
        void AddBarcodeEventListener(IBarcodeEventListener listener);
        void RemoveBarcodeEventListener(IBarcodeEventListener listener);
    }

    public class BarcodeEventArgs : EventArgs
    {
        public string Data { get; set; }
    }

    public class ImageDataEventArgs : EventArgs
    {
        public byte[] Image { get; set; }
    }
}
