﻿namespace ScannerMauiTest
{
    public static class MauiProgram
    {
        public static MauiApp CreateMauiApp()
        {
            var builder = MauiApp.CreateBuilder();
            builder
                .UseMauiApp<App>()
                .ConfigureFonts(fonts =>
                {
                    fonts.AddFont("OpenSans-Regular.ttf", "OpenSansRegular");
                    fonts.AddFont("OpenSans-Semibold.ttf", "OpenSansSemibold");
                });

            builder.Services.AddSingleton<IScannerService, ScannerService>();
            builder.Services.AddSingleton<IMauiContext>(sp => sp.GetRequiredService<IApplication>().Handler.MauiContext);
            builder.Services.AddTransient<MainPage>();

            return builder.Build();
        }
    }
}
