﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.Graphics;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Com.Opticon.Scannersdk.Scanner;

namespace ScannerSdkSample_Xamarin
{
    public class BarcodeScannerEvents : Java.Lang.Object, Com.Opticon.Scannersdk.Scanner.IBarcodeEventListener
    {
        public event EventHandler OnReadDataEvent;
        public event EventHandler OnTimeoutEvent;
        public event EventHandler OnConnectEvent;
        public event EventHandler OnDisconnectEvent;
        public event EventHandler OnStartEvent;
        public event EventHandler OnStopEvent;
        public event EventHandler OnImageDataEvent;

        public void OnReadData(ReadData readData)
        {
            OnReadDataEvent.Invoke(this, EventArgs.Empty);
        }

        public void OnTimeout()
        {
            OnTimeoutEvent.Invoke(this, EventArgs.Empty);
        }

        public void OnDecodeStart()
        {
            OnStartEvent.Invoke(this, EventArgs.Empty);
        }

        public void OnDecodeStop()
        {
            OnStopEvent.Invoke(this, EventArgs.Empty);
        }

        public void OnConnect()
        {
            OnConnectEvent.Invoke(this, EventArgs.Empty);
        }

        public void OnDisconnect()
        {
            OnDisconnectEvent.Invoke(this, EventArgs.Empty);
        }

        public void OnImageData(Bitmap bitmap, byte[] byteArray, int i)
        {
            OnImageDataEvent.Invoke(this, EventArgs.Empty);
        }
    }
}